Create Account Log Service
Creates an account-level logging service.
Request schema
Header parameters
HTTP: basicAuth
HTTP AuthorizationScheme: basic
Request
The name of the log service type within the Fivetran system. We support the following log services: azure_monitor_log, cloudwatch, datadog_log, dynatrace, grafana_loki, splunkLog, new_relic_log, stackdriver (Google Cloud Logging).
The boolean value specifying whether the log service is enabled.
When true, Fivetran runs setup tests immediately after creating or updating the log service and returns the results in the setup_tests field of the response. Defaults to false.
POST /v1/external-logging/account HTTP/1.1 Accept: application/json Authorization: BasicContent-Type: application/json Host: api.fivetran.com Content-Length: 99 { "service": "azure_monitor_log", "enabled": true, "config": {}, "run_setup_tests": false }
Responses
201
Response status code
Response status text
The unique identifier for the log service within the Fivetran system.
The name of the log service type within the Fivetran system. We support the following log services: azure_monitor_log, cloudwatch, datadog_log, dynatrace, grafana_loki, splunkLog, new_relic_log, stackdriver (Google Cloud Logging).
The boolean value specifying whether the log service is enabled.
Setup status of the log service. Present when a setup status exists for the log service.
List of alerts describing issues with the log service configuration.
Alert code identifying the type of issue.
Human-readable description of the issue.
Additional context or details for the alert.
Current setup state of the log service. Possible values: connected — log service is reachable and forwarding events; broken — configuration errors prevent log delivery; incomplete — setup has not been completed and log delivery is paused. Example: connected.
Results of the most recent setup test run.
A human-readable name for the setup test step. For example: Validate Login, Test Connection, Check Permissions.
The result of the individual setup test step. Possible values: PASSED, FAILED, SKIPPED.
The result message for the setup test step. For example: Invalid login credentials.
Additional diagnostic information about the setup test result. Populated when the status is FAILED and more context is available beyond the message.
For Logs Ingestion API authentication. Your application (client) ID.
For Logs Ingestion API authentication. Your application client secret.
For Logs Ingestion API authentication. The endpoint URL for your Data Collection Endpoint.
For Logs Ingestion API authentication. The immutable ID of your Data Collection Rule.
For Logs Ingestion API authentication. The stream name of your Data Collection Rule.
For HTTP Data Collector API authentication. Your Log Analytics primary key.
For Logs Ingestion API authentication. Your Microsoft Entra directory (tenant) ID.
For HTTP Data Collector API authentication. Your Log Analytics workspace ID.
{ "code": "Success", "message": "Account external logging service has been added", "data": { "id": "log_id", "service": "azure_monitor_log", "enabled": true, "status": { "tasks": [ { "code": "reconnect_log", "message": "Reconnect Logging Service", "details": "Please provide required permissions" } ], "setup_state": "connected" }, "setup_tests": [ { "title": "Validate Login", "status": "FAILED", "message": "Invalid login credentials.", "details": "Authentication failed (401 Unauthorized). Verify the provided credentials and permissions." } ], "config": { "client_id": "your_client_id", "client_secret": "your_client_secret", "data_collection_endpoint": "https://my-endpoint.eastus-1.ingest.monitor.azure.com", "dcr_immutable_id": "dcr-xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx", "dcr_stream_name": "Custom-MyStream_CL", "primary_key": "your_primary_key", "tenant_id": "your_tenant_id", "workspace_id": "your_workspace_id" } } }